[FFE] NetworkManager 1.0.4

Bug #1493934 reported by Mathieu Trudel-Lapierre on 2015-09-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
network-manager (Ubuntu)
Undecided
Mathieu Trudel-Lapierre

Bug Description

NetworkManager 1.0.4 fixes a large number of potential bugs in handling network configurations, along with letting us be up to date with the current developments upstream (which has been an issue in previous releases, where NM had to be kept back due to requirements on the phone side). These requirements are not issues for the moment, so this release is the perfect time to update NM to a the current stable and recommended version.

It's already in -proposed now, but had multiple issues in autopkgtests and some smaller issues with failures in unit tests which have so far caused it to be blocked in proposed.

It has been tested for three weeks in various configurations, connecting to wifi (open, WPA2, WPA-Enterprise), ethernet, and VPNs (openvpn). It works properly in KDE and GNOME environments without changes to the UI components.

Other NM components (VPNs, for example) continue to function as there have not been substancial changes to the API.

Attached and linked are build logs, etc.

Download full text (4.3 KiB)

$ sudo apt-get install network-manager libnm-glib4 libnm-util2 libnm0 gir1.2-networkmanager-1.0
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  dh-apparmor gir1.2-accountsservice-1.0 gir1.2-caribou-1.0 gir1.2-gck-1 gir1.2-gcr-3 gir1.2-gdm-1.0 gir1.2-gkbd-3.0 gir1.2-gweather-3.0
  gir1.2-mutter-3.0 gir1.2-telepathyglib-0.12 gir1.2-telepathylogger-0.2 gir1.2-upowerglib-1.0 gir1.2-xkl-1.0 gjs gnome-backgrounds
  golang-go-linux-amd64 libavformat56 libboost-locale1.55.0 libboost-log1.55.0 libboost-program-options1.55.0 libboost-regex1.55.0
  libboost-test1.55.0 libboost-thread1.55.0 libcaribou-common libcaribou0 libdbus-cpp4 libdirac-encoder0 libdvbpsi9 libept1.4.12 libgconf2-4 libgdm1
  libgegl-0.2-0 libgjs0e libgtkhtml-4.0-0 libgtkhtml-4.0-common libgtkhtml-editor-4.0-0 libilmbase6 libmircommon4 libmozjs-24-0v5 libobjc-4.9-dev
  libopenexr6 libpostproc52 libprocess-cpp2 libswscale3 linux-image-3.19.0-22-generic linux-image-extra-3.19.0-22-generic
  linux-signed-image-3.19.0-22-generic python-support
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les NOUVEAUX paquets suivants seront installés :
  gir1.2-networkmanager-1.0 libnm0
Les paquets suivants seront mis à jour :
  libnm-glib4 libnm-util2 network-manager
3 mis à jour, 2 nouvellement installés, 0 à enlever et 756 non mis à jour.
Il est nécessaire de prendre 1 770 ko dans les archives.
Après cette opération, 3 821 ko d'espace disque supplémentaires seront utilisés.
Réception de : 1 http://ppa.launchpad.net/mathieu-tl/installer-dev/ubuntu/ wily/main libnm-util2 amd64 1.0.4-0ubuntu3~mtrudel4 [126 kB]
Réception de : 2 http://ppa.launchpad.net/mathieu-tl/installer-dev/ubuntu/ wily/main libnm-glib4 amd64 1.0.4-0ubuntu3~mtrudel4 [83,5 kB]
Réception de : 3 http://ppa.launchpad.net/mathieu-tl/installer-dev/ubuntu/ wily/main libnm0 amd64 1.0.4-0ubuntu3~mtrudel4 [306 kB]
Réception de : 4 http://ppa.launchpad.net/mathieu-tl/installer-dev/ubuntu/ wily/main gir1.2-networkmanager-1.0 amd64 1.0.4-0ubuntu3~mtrudel4 [62,5 kB]
Réception de : 5 http://ppa.launchpad.net/mathieu-tl/installer-dev/ubuntu/ wily/main network-manager amd64 1.0.4-0ubuntu3~mtrudel4 [1 191 kB]
1 770 ko réceptionnés en 2s (742 ko/s)
(Lecture de la base de données... 543883 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libnm-util2_1.0.4-0ubuntu3~mtrudel4_amd64.deb ...
Dépaquetage de libnm-util2:amd64 (1.0.4-0ubuntu3~mtrudel4) sur (0.9.10.0-4ubuntu23) ...
Préparation du dépaquetage de .../libnm-glib4_1.0.4-0ubuntu3~mtrudel4_amd64.deb ...
Dépaquetage de libnm-glib4:amd64 (1.0.4-0ubuntu3~mtrudel4) sur (0.9.10.0-4ubuntu23) ...
Sélection du paquet libnm0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../libnm0_1.0.4-0ubuntu3~mtrudel4_amd64.deb ...
Dépaquetage de libnm0:amd64 (1.0.4-0ubuntu3~mtrudel4) ...
Sélection du paquet gir1.2-networkmanager-1.0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../gir1.2-networkmanager-1.0_1.0.4-0ubuntu3~mtrudel4_amd64.deb ...
Dépaquetage de gir1.2-networkmanager-...

Read more...

tags: added: upgrade-software-version
Adam Conrad (adconrad) wrote :

12:45 < infinity> cyphermox: But, more seriously, I already verbally approved NM 1.x a couple of weeks ago, right?
12:46 < infinity> cyphermox: So, I'm fine with this, and all the happier that you took the time to make it all happy and get it tested, rather than jamming it in just to make a deadline.

Martin Pitt (pitti) on 2015-09-11
Changed in network-manager (Ubuntu):
status: New → Confirmed
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager - 1.0.4-0ubuntu3

---------------
network-manager (1.0.4-0ubuntu3) wily; urgency=medium

  * New upstream NM release post-feature-freeze. (LP: #1493934)
    (previous revisions never transitioned from proposed)

  [ Martin Pitt ]
  * debian/tests/nm: Revert the previous disabling of tests, they are all
    conceptually still valid.
  * debian/tests/nm: Reduce timeouts to something reasonable; waiting 3
    minutes for detecing an AP should not count as "success", and it takes too
    long for tests to fail.
  * debian/tests/nm: Fix ColdplugWifi.test_no_ap: with 1.0 the state is now
    "UNAVAILABLE" instead of "DISCONNECTED"; so check for either.

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/git_config_parse_cmdline_args_8a22a981.patch: don't shadow
    the config_cli parameter for early config with a local copy. (LP: #1492168)
  * d/p/0001-wwan-add-support-for-using-oFono-as-a-modem-manager.patch: fix
    signal handling for oFono using GDBus; it's a little simpler now, watching
    for signals in general and matching only ModemAdded/ModemRemoved. Inspired
    from urfkill code. (LP: #1492126)
  * debian/patches/git_fix_duplicate_unittest_names_7b70a840.patch: replace
    duplicate unit test names, which is a new restriction set by GLib.

 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 10 Sep 2015 14:53:16 -0400

Changed in network-manager (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers